<?php 
defined('CONF_URL_APP') or die;

c_include('widget','helpers/widgetHelper');

abstract class facebook_boxHelper {
	public static function getParametros($w=null){
		if (empty($w))
			return false;
			
		$params = Helpers::toArray(json_decode($w->params));
			
		return $params;
	}
	public static function getApp($widget){
		if (!Helpers::checkAppWidget($widget->tipo))
			return false;
			
		c_include('helpers/appsHelper');
			
		$explode_id = explode('/', $widget->tipo);
		
		return AppsHelper::getApp($explode_id[0]);
	}
	public static function getFBUrl($p=null, $_app=null){
		if (empty($p) || !$_app instanceof ExtApp)
			return false;
			
		if (!class_exists("Facebook")){
			require_once("../../facebook.php");
		}
		
		if (!class_exists("Facebook")){
			return false;
		}
		
		$facebook = new Facebook(array(
			'appId' => $_app->parametros['appId'],
			'secret' => $_app->parametros['secret'],
		));
		
		$params_fb = array();
		if (!empty($p["fb_noitems"])){
			$params_fb['limit'] = (int) $p["fb_noitems"];
		}

		$fbApiGetPosts = $facebook->api('/'.$p['fb_account_id'].'/feed', 'GET', $params_fb);
		
		if (isset($fbApiGetPosts["data"]) && !empty($fbApiGetPosts["data"])) {
			$fbjson = json_encode($fbApiGetPosts["data"]);
			return json_decode($fbjson);
		}	
	}
}